Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Pollable Interface Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA_Pollable

[legend]
List of all members.

## Public Types
typedef CORBA_Pollable_ptr | _ptr_type
typedef CORBA_Pollable_var | _var_type
## Public Methods
boolean | is_ready (in unsigned long timeout)
CORBA_PollableSet | create_pollable_set ( )
virtual CORBA::Boolean | is_ready ( CORBA::ULong timeout, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual CORBA_PollableSet_ptr | create_pollable_set ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual const char* | _interface_repository_id (void) const
## Static Public Methods
CORBA_Pollable_ptr | _duplicate (CORBA_Pollable_ptr obj)
CORBA_Pollable_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_Pollable_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_Pollable_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| CORBA_Pollable (void)
virtual | ~CORBA_Pollable (void)
## Private Methods
| CORBA_Pollable (const CORBA_Pollable &)
void | operator= (const CORBA_Pollable &)

## Member Typedef Documentation

typedef CORBA_Pollable_ptr CORBA_Pollable::_ptr_type

| Reimplemented in CORBA_DIIPollable.

typedef CORBA_Pollable_var CORBA_Pollable::_var_type

| Reimplemented in CORBA_DIIPollable.

## Constructor & Destructor Documentation

CORBA_Pollable::CORBA_Pollable ( | void )`[protected]`

virtual CORBA_Pollable::~CORBA_Pollable ( | void )`[protected, virtual]`

CORBA_Pollable::CORBA_Pollable ( | const CORBA_Pollable & )`[private]`

## Member Function Documentation

CORBA_Pollable_ptr CORBA_Pollable::_duplicate ( | CORBA_Pollable_ptr obj )`[static]`

virtual const char* CORBA_Pollable::_interface_repository_id ( | void ) const`[virtual]`

| Reimplemented in CORBA_DIIPollable.

CORBA_Pollable_ptr CORBA_Pollable::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented in CORBA_DIIPollable.

CORBA_Pollable_ptr CORBA_Pollable::_nil ( | void )`[inline, static]`

| Reimplemented in CORBA_DIIPollable.

virtual void* CORBA_Pollable::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented in CORBA_DIIPollable.

CORBA_Pollable_ptr CORBA_Pollable::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented in CORBA_DIIPollable.

virtual CORBA_PollableSet_ptr CORBA_Pollable::create_pollable_set ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

CORBA_PollableSet CORBA_Pollable::create_pollable_set ( | )

virtual CORBA::Boolean CORBA_Pollable::is_ready ( | CORBA::ULong timeout,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

boolean CORBA_Pollable::is_ready ( | in unsigned long timeout )

void CORBA_Pollable::operator= ( | const CORBA_Pollable & )`[private]`

## Member Data Documentation

int CORBA_Pollable::_tao_class_id`[static]`

| Reimplemented in CORBA_DIIPollable.

The documentation for this interface was generated from the following files:

- Pollable.pidl
- PollableC.h